package com.cyksj.service.mirrorshop;

import cn.hutool.core.date.DateTime;
import com.cyksj.dto.Result;
import com.cyksj.model.entity.User;
import com.cyksj.model.request.UserMirrorShopApplyMoneyReq;
import com.cyksj.model.views.YhShopBrokenLineCpsUserWMoneyView;
import com.cyksj.model.views.YhShopUserWMoneyStatisticsDataView;

import java.util.List;

/**
 * 项目名: yhlxj2
 * 文件名: CmsUserMirrorShopService
 * 创建者: JavaZou
 * 创建时间:2024/11/7 12:07
 */
public interface CmsUserMirrorShopService {
	void getLoginCode(Integer type, String login, Integer cid, String verifyCode, String ticket, String randStr);

	String yhShopManageRedirect(long userId);

	User login(Integer type, String login, String code);

	YhShopBrokenLineCpsUserWMoneyView getWMoneyStatisticsDate(long yhShopUserId, DateTime first, DateTime end);

	List<YhShopUserWMoneyStatisticsDataView> getWMoneyStatisticsDataView(long yhShopUserId, DateTime first, DateTime end);

	Result<String> applyMoney(UserMirrorShopApplyMoneyReq applyMoneyReq);
}
